Skip to main content
GET
/
api
/
v1
/
users
List users
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/users \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "user",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "custom_fields": {},
        "display_name": "<string>",
        "primary_employee_id": "<string>",
        "employee_ids": {},
        "emails": [
          "primary@example.com",
          "secondary@example.com"
        ]
      },
      "relationships": {
        "profile": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "employments": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": [
            {
              "type": "employment",
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        },
        "current_employment": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "employment",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "admin_assistant_roles": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "addresses": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "phone_numbers": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: profile, employments, current_employment, admin_assistant_roles, addresses, phone_numbers

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, display_name

filter[key]
string

Filter results. Available filters: email, employee_id, employee_ids (filter users by employee id for a given configuration, example filter[employee_ids][UID]=12345), employee_ids.in (filter users by employee id in a comma-separated list for a given configuration, example filter[employee_ids.in][UID]=12345,67890), display_name, display_name.neq, display_name.cont (case-insensitive substring match), display_name.in (comma-separated list), display_name.nin (comma-separated list), profile, profile.exists, employments, current_employment, current_employment.exists, admin_assistant_roles, addresses, phone_numbers. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

users found

data
object[]
required
meta
object